import React from 'react'
import { useDrag } from 'react-dnd'
import { Tooltip } from 'antd'
import './index.scss'

const MobSourceElement = ({content}) => {
  const [, drag] = useDrag({ item: content })
  return (
    <div ref={drag} className="mob-source-item" style={{backgroundImage: 'url(' + content.url + ')', ...content.style}}>
      <Tooltip placement="right" overlayClassName="mob-source-tooltip-box" mouseEnterDelay={0.3} mouseLeaveDelay={0} title={
        <div><img style={{width: '100%'}} src={content.url} alt=""/></div>
      }>
        <div className="tooltip-block"></div>
      </Tooltip>
    </div>
  )
}
export default MobSourceElement